#!/bin/bash
# Debian, Ubuntu, etc. setup script for the SrvrPowerCtrl plugin
#
# Involking bash as this script has bashisms.
#
echo 'Setting up Debian-Ubuntu helper scripts for the SrvrPowerCtrl plugin..'
user=`whoami`
if [ "$user" != "root" ] 
  then
    echo 'Error: This script needs to be run with root cridentials,'
    echo "either via # sudo $0"
    echo 'or under su.'
    exit
fi

#change to script directory..
SRC_SCRIPT_DIR=`dirname "$0"`
cd "$SRC_SCRIPT_DIR"


#vars for errorchecking before changing permissions..
CUR_DIR=`pwd`
DIR_TEST1='squeezecenter'
DIR_TEST2='InstalledPlugins'

#Because the following permissions fix-up uses relative paths, it is potentially 
#dangerious if the script is located in the wrong location, e.g. /home/user.
#So..test that the script is at least located off of a 'squeezecenter' dir.
#Also..we don't need to fixup permissions if we've been installed via the
#Extension Downloader..

if [[ $CUR_DIR =~ $DIR_TEST1 ]]
  then
    if [[ ! $CUR_DIR =~ $DIR_TEST2 ]]
       then
        REL_DIR=`readlink -f ../../.`
        /bin/echo "Fixing up permissions on $REL_DIR.."
        echo "/bin/chown -R squeezecenter:nogroup ../../."
    fi
fi


#copy the scripts into the target script dir..
TRG_SCRIPT_DIR="/usr/local/sbin"
cp "$SRC_SCRIPT_DIR/spc-wakeup.sh" $TRG_SCRIPT_DIR
cp "$SRC_SCRIPT_DIR/spc-restart.sh" $TRG_SCRIPT_DIR

#fix permissions on the scripts..
chown  root:root "$TRG_SCRIPT_DIR/spc-wakeup.sh"
chmod 755 "$TRG_SCRIPT_DIR/spc-wakeup.sh"

chown  root:root "$TRG_SCRIPT_DIR/spc-restart.sh"
chmod 755 "$TRG_SCRIPT_DIR/spc-restart.sh"


#Allow the squeezecenter user to use the 'shutdown' command..
touch /etc/shutdown.allow
echo 'squeezecenter' >>/etc/shutdown.allow

#Tell sudo that the squeezecenter user has permissions to run these commands..
if [ ! -f /etc/sudoers.bak ]
  then
    cp /etc/sudoers /etc/sudoers.bak
fi

echo 'squeezecenter ALL = NOPASSWD: /sbin/shutdown*' >>/etc/sudoers
echo 'squeezecenter ALL = NOPASSWD: /usr/sbin/pm-suspend*' >>/etc/sudoers
echo 'squeezecenter ALL = NOPASSWD: /usr/sbin/pm-hibernate' >>/etc/sudoers
echo "squeezecenter ALL = NOPASSWD: $TRG_SCRIPT_DIR/spc-wakeup.sh*" >>/etc/sudoers
echo "squeezecenter ALL = NOPASSWD: $TRG_SCRIPT_DIR/spc-restart.sh" >>/etc/sudoers

echo "Done!  Helper scripts installed to $TRG_SCRIPT_DIR and /etc/sudoers has been updated."
